Bug 1879009 - Fix Telemeter Recording Rules Introduced in Bug 1877816
Summary: Fix Telemeter Recording Rules Introduced in Bug 1877816
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Monitoring
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.6.0
Assignee: lserven
QA Contact: Junqi Zhao
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-15 08:14 UTC by lserven
Modified: 2020-10-27 16:41 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 16:40:46 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift telemeter pull 357 0 None open Bug 1879009: jsonnet/telemeter: Fix cluster_subscribed recording rule 2020-09-15 08:15:49 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:41:07 UTC

Description lserven 2020-09-15 08:14:01 UTC
The recording rules introduced by Bug 1877816 were unnecessarily high cardinality, causing excessive load on the Telemetry system. We need to modify the rules to reduce the returned time series.

Comment 2 Junqi Zhao 2020-09-17 15:31:43 UTC
tested with 4.6.0-0.nightly-2020-09-17-073141, the load time is less with the fix

Comment 5 errata-xmlrpc 2020-10-27 16:40:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.